> ## Documentation Index
> Fetch the complete documentation index at: https://api-documentation.kare-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Rules

> API changes for the Rules module.

<Update label="2026-09-07">
  **1 API change(s) - ⚠️ includes 1 breaking change(s)**

  **`GET /rs/rules/v1/`**

  * for the `query` request parameter `whereITIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
</Update>

<Update label="2026-08-28">
  **4 API change(s) - ⚠️ includes 2 breaking change(s)**

  **`POST /rs/rules/v1/{id}/archive`**

  * api path removed without deprecation

  **`POST /rs/rules/v1/{id}/unarchive`**

  * api path removed without deprecation

  **`POST /rs/rules/v1/batch-archive`**

  * endpoint added

  **`POST /rs/rules/v1/batch-unarchive`**

  * endpoint added
</Update>

<Update label="2026-08-26">
  **1 API change(s)**

  **`GET /rs/rules/v1/`**

  * added the new optional `query` request parameter `countOnly`
</Update>

<Update label="2026-08-05">
  **8 API change(s) — ⚠️ includes 4 breaking change(s)**

  **`POST /rs/rules/v1/preventive`**

  * removed the enum value `training_company` of the request property `providerTypes/items/`
  * added the new `training_provider` enum value to the request property `providerTypes/items/`

  **`PATCH /rs/rules/v1/preventive/{id}`**

  * removed the enum value `training_company` of the request property `providerTypes/items/`
  * added the new `training_provider` enum value to the request property `providerTypes/items/`

  **`GET /rs/rules/v1/`**

  * added the new `training_provider` enum value to the `data/items/providerTypes/items/` response property for the response status `200`
  * removed the `training_company` enum value from the `data/items/providerTypes/items/` response property for the response status `200`

  **`GET /rs/rules/v1/{id}`**

  * added the new `training_provider` enum value to the `providerTypes/items/` response property for the response status `200`
  * removed the `training_company` enum value from the `providerTypes/items/` response property for the response status `200`
</Update>

<Update label="2026-08-04">
  **5 API change(s)**

  **`GET /rs/rules/v1/`**

  * added the new optional `query` request parameter `whereImResponsible`
  * added the enum value `responsibles` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/responsibles` to the response with the `200` status

  **`GET /rs/rules/v1/{id}`**

  * added the enum value `responsibles` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `responsibles` to the response with the `200` status
</Update>

<Update label="2026-07-31">
  **10 API change(s) — ⚠️ includes 5 breaking change(s)**

  **`GET /rs/rules/v1/`**

  * removed the required property `data/items/companyTypes` from the response with the `200` status
  * deleted the `query` request parameter `whereCompanyType`
  * added the new optional `query` request parameter `whereProviderType`
  * added the required property `data/items/providerTypes` to the response with the `200` status

  **`GET /rs/rules/v1/{id}`**

  * removed the required property `companyTypes` from the response with the `200` status
  * added the required property `providerTypes` to the response with the `200` status

  **`POST /rs/rules/v1/preventive`**

  * removed the request property `companyTypes`
  * added the new optional request property `providerTypes`

  **`PATCH /rs/rules/v1/preventive/{id}`**

  * removed the request property `companyTypes`
  * added the new optional request property `providerTypes`
</Update>

<Update label="2026-07-24">
  **1 API change(s)**

  **`GET /rs/rules/v1/{id}`**

  * added the new optional `query` request parameter `extend`
</Update>

<Update label="2026-07-17">
  **2 API change(s) — ⚠️ includes 1 breaking change(s)**

  **`GET /rs/rules/v1/`**

  * deleted the `query` request parameter `whereTechnicalInstallation`
  * added the new optional `query` request parameter `whereITIds`
</Update>

<Update label="2026-07-15">
  **13 API change(s)**

  **`GET /rs/rules/v1/`**

  * endpoint added

  **`POST /rs/rules/v1/preventive`**

  * endpoint added

  **`PATCH /rs/rules/v1/preventive/{id}`**

  * endpoint added

  **`POST /rs/rules/v1/training-exercise`**

  * endpoint added

  **`PATCH /rs/rules/v1/training-exercise/{id}`**

  * endpoint added

  **`POST /rs/rules/v1/training-qualification`**

  * endpoint added

  **`PATCH /rs/rules/v1/training-qualification/{id}`**

  * endpoint added

  **`POST /rs/rules/v1/training-session`**

  * endpoint added

  **`PATCH /rs/rules/v1/training-session/{id}`**

  * endpoint added

  **`DELETE /rs/rules/v1/{id}`**

  * endpoint added

  **`GET /rs/rules/v1/{id}`**

  * endpoint added

  **`POST /rs/rules/v1/{id}/archive`**

  * endpoint added

  **`POST /rs/rules/v1/{id}/unarchive`**

  * endpoint added
</Update>
